Practicando/MiAplicativo/urls.py
from django.urls import path
from . import views

urlpatterns = [
    
    path('', views.index, name="index"),
    path('inicio/', views.index, name="inicio"),
    path('registro/', views.register_page, name="register"),
    path('login/', views.login_page, name="login"),
    path('logout/', views.logout_user, name="logout"),

]

Practicando/Oit/urls.py
from django.contrib import admin  
from django.urls import path  
from Oit import views  

urlpatterns = [  
    path('admin/', admin.site.urls),  
    path('agregar', views.agregar, name="agregar_oit"),  
    path('mostrar',views.mostrar, name="mostrar_oit"),  
    path('editar/<int:id>', views.editar, name="editar_oit"),  
    path('actualizar/<int:id>', views.actualizar, name="actualizar_oit"),  
    path('eliminar/<int:id>', views.eliminar, name="eliminar_oit"),  
]  

Practicando/Practicando/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings

urlpatterns = [

    path('admin/', admin.site.urls),
    path('', include('MiAplicativo.urls')),
    path('', include('Oit.urls')),

]

Practicando/Login/models.py
from django.db import models

# Create your models here.

Practicando/MiAplicativo/models.py
from django.db import models

# Create your models here.

Practicando/Oit/models.py
from django.db import models

# Create your models here.

class Model_MEDIO(models.Model):

    medio_detalle = models.CharField(max_length=150,verbose_name="Medio Detalle")

    class Meta:

        managed = True
        db_table = 'model_medio'
        verbose_name= "MODEL_MEDIO"
        verbose_name_plural = "MODEL_MEDIOS" 
        ordering = ['id']   

    def __str__(self):

        return  self.medio_detalle

class Model_RED(models.Model):

    red_detalle = models.CharField(max_length=150,verbose_name="Medio Detalle")

    class Meta:

        managed = True
        db_table = 'model_red'
        verbose_name= "MODEL_RED"
        verbose_name_plural = "MODEL_REDS" 
        ordering = ['id']   
          

    def __str__(self):

        return self.red_detalle

class Model_OIT(models.Model):

    oit =  models.CharField(max_length=20, verbose_name="ID OIT")
    servicio = models.TextField(verbose_name="Servicio")
    medio = models.ForeignKey(Model_MEDIO, on_delete=models.CASCADE)
    red = models.ForeignKey(Model_RED, on_delete=models.CASCADE)
    proveedor = models.CharField(max_length=150,verbose_name="Proveedor")
    fecha_acordada = models.DateField(verbose_name="Fecha Acordada")
    plazo_contrato = models.DateField(verbose_name="Plazo Contrato")
    renta_mensual = models.CharField(max_length=150,verbose_name="Renta Mensual")
    proceso = models.CharField(max_length=150,verbose_name="Proceso")
    mes_venta = models.DateField(verbose_name="Mes Venta")
    

    class Meta:

        managed = True
        db_table = 'model_oit'
        verbose_name= "MODEL_OIT"
        verbose_name_plural = "MODEL_OITs"    

    def __str__(self):

        return "%s %s" % (self.oit, self.servicio)

Practicando/MiAplicativo/forms.py
from django import forms
from django.core import validators

from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class RegisterForm(UserCreationForm):

    class Meta:

        model = User
        fields = ['username', 'email', 'first_name', 'last_name', 'password1', 'password2']

Practicando/Oit/forms.py
from django import forms  
from Oit.models import Model_OIT  

class Model_OIT_Form(forms.ModelForm): 

    class Meta:  
        model = Model_OIT  
        fields = "__all__"  

Practicando/Login/views.py
from django.shortcuts import render

# Create your views here.

Practicando/MiAplicativo/views.py
from django.shortcuts import render, redirect
from django.contrib import messages
from django.contrib.auth.forms import UserCreationForm
from MiAplicativo.forms import RegisterForm
from django.contrib.auth import authenticate, login, logout

# Create your views here.

def index(request):
    
    return render(request, 'MiAplicativo/index.html',{

        'title': 'Inicio'

    })

def consultas(request):
    
    return render(request, 'MiAplicativo/consultas.html',{

        'title': 'Consultas'

    })

def register_page(request):

    if request.user.is_authenticated:

        return redirect('inicio')
    
    else:

        register_form = RegisterForm()

        if request.method == 'POST':

            register_form = RegisterForm(request.POST)
        
            if register_form.is_valid():

                register_form.save()

                messages.success(request,"Te has registrado correctamente")

                return redirect('inicio')
    
        return render(request, 'users/register.html', {

        'title': 'Registro', 
        'register_form': register_form

        })

def login_page(request):

    if request.user.is_authenticated:

        return redirect('inicio')
    
    else:

        if request.method == 'POST':

            username = request.POST.get('username')

            password = request.POST.get('password')

            user = authenticate(request, username=username, password=password)

            if user is not None:

                login(request, user)

                return redirect('inicio')

            else:

                messages.warning(request,"No te has identificado correctamente")

        return render(request, 'users/login.html',{

            'title':'Identificate'

        })

def logout_user(request):

    logout(request)

    return redirect('login')

Practicando/Oit/views.py
from django.shortcuts import render, redirect
from Oit.models import Model_OIT
from Oit.forms import Model_OIT_Form

# Create your views here.

def agregar(request):  

    if request.method == "POST":  
        form = Model_OIT_Form(request.POST)  

        if form.is_valid():  
            try:  
                form.save()  

                return redirect('/mostrar')  

            except:  

                pass  
   
    else:  

        form = Model_OIT_Form()  

    return render(request,'agregar_oit.html',{'form':form})  

def mostrar(request):  

    oit = Model_OIT.objects.all()  

    return render(request,"mostrar_oit.html",
    
    {'oit':oit}
    
    )

def editar(request, id): 

    oit = Model_OIT.objects.get(id=id) 

    return render(request,'editar_oit.html',
    
    {'oit':oit}
    
    )  

def actualizar(request, id): 

    oit = Model_OIT.objects.get(id=id) 

    form = Model_OIT_Form(request.POST, instance = oit)

    if form.is_valid():  

        form.save()  

        return redirect("/mostrar")  

    return render(request, 'editar_oit.html',
    
    {'oit': oit}
    
    )

def eliminar(request, id):  

    oit = Model_OIT.objects.get(id=id) 

    oit.delete()  

    return redirect("/mostrar")  

Practicando/MiAplicativo/templates/MiAplicativo/consultas.html
{% extends 'layouts/layout.html' %}

{% block title %}

    {{title}}

{% endblock  %}

{% block content %}

    <h1>{{title}}</h1>

{% endblock  %}

Practicando/MiAplicativo/templates/MiAplicativo/index.html
{% extends 'layouts/layout.html' %}

{% block title %}

    {{title}}

{% endblock  %}

{% block content %}

    <h1>{{title}}</h1>

    <hr/>

    {% if messages %}
    
        {% for message in messages %}
        
            <div class="alert alert-success">

                {{message}}

            </div>

        {% endfor %}
    
    {% endif %}
    
    {% if user.email %}

        <h2>Bienvenido, {{request.user.first_name}} {{user.last_name}}</h1>

        <p>

            {{user.email}}

        </p>
    
    {% else %}

        <h2>Identificate</h2>

    {% endif %}

{% endblock  %}

Practicando/MiAplicativo/templates/layouts/layout.html
<!DOCTYPE html>
<html lang="es">

    <head>

        <meta charset="utf-8" />    

        <title>
            
            {% block title %}
          
            {% endblock %}
            | Christian Tong
        
        </title>
        
        <!--CARGAR ARCHIVOS ESTATICOS PARA LOS ESTILOS CSS-->

        {% load static %}

        

        <!--VINCULAR HOJAS DE ESTILOS CSS EN DJANGO-->

        <link rel="stylesheet" type="text/css" href="{% static 'css/styles.css' %}" />

    <body>

        <!--CABACERA DE LA PÁGINA-->
        <header>

            <div id="logotipo">

                 

                <!--LOGO DJANGO--> 
                <!--<img src="{% static 'images/logo-vf.png' %}"/>-->

                <h1>
                    <!--Proyecto Personal con Django-->
                </h1>
                 
            </div>

       </header>
       
       <nav>

        <ul>
        
            <li>
                <a href="{% url 'index' %}">Inicio</a>
            </li>

            {% if user.email %}

                <li>
                    <a href="{% url 'mostrar_oit' %}">OIT</a>
                </li>

                <li>
                    <a href="{% url 'logout' %}">Cerrar sesión</a>
                </li>
                
            {% else %} 

                <li>
                    <a href="{% url 'register' %}">Registro</a>
                </li>

                <li>
                    <a href="{% url 'login' %}">Login</a>
                </li>
               
            {% endif %}

        </ul>

       </nav>

       <div class="barra">

            <samp class="esquina-izquierda"></samp>
            <samp class="relleno-barra"></samp>
            <samp class="esquina-derecha"></samp>

       </div>

    <div id="content">  

        <div class="box">

            <!--DEFNINIR BLOQUE-->
            {% block content %}
                <!--CODIGO QUE VIENE DE TEMPLATES-->
                <strong>Contenido del bloque original!!!</strong>
            {% endblock %}

        </div>       

    </div>

    <footer>

        Proyecto Personal &copy; Christian Tong - {% now "d/m/y" %}

    </footer>
        
    </body>

    </head>

</html>

Practicando/MiAplicativo/templates/users/login.html
{% extends 'layouts/layout.html' %}

{% block title %}

    {{title}}

{% endblock  %}

{% block content %}

    <h1>{{title}}</h1>

    {% if messages %}
    
        {% for message in messages %}
        
            <div class="alert alert-warning">

                {{message}}

            </div>

        {% endfor %}
    
    {% endif %}

    <form method="post" action="">

        {% csrf_token %}

        <label for='username'>Nombre del usuario:</label>

        <input type='text' name="username"/>

        <label for='password'>Contraseña:</label>

        <input type='password' name="password"/>

        <input type='submit' value="Login"/>

    </form>

{% endblock  %}

Practicando/MiAplicativo/templates/users/register.html
{% extends 'layouts/layout.html' %}

{% block title %}

    {{title}}

{% endblock  %}

{% block content %}

    <h1>{{title}}</h1>

    {{register_form.errors}}

    <form method="post" action="">

        {% csrf_token %}

        {% for field in register_form %}
        
            <label>{{field.label}}</label>

            {{field}}
        
        {% endfor %}

        <input type="submit" value="Registrarse" />

    </form>

{% endblock  %}

Practicando/Oit/templates/agregar_oit.html
{% extends 'layouts/layout.html' %}

<!DOCTYPE html>  

<html lang="en">  

    {% block title %}

        {{oit.title}}

    {% endblock  %}

    {% block content %}

        <head>  

            <meta charset="UTF-8">  
            <title>Agregar</title>  
            {% load static %}  
            <link rel="stylesheet" href="{% static 'css/style.css' %}"/>  

        </head>  

        <body>  
            <form method="POST" class="post-form" action="/agregar">  
                    {% csrf_token %}  
                <div class="container">  

            <br>  
                <div class="form-group row">  
                <label class="col-sm-1 col-form-label"></label>  
                <div class="col-sm-4">  
                <h3>Ingrese los datos de la OIT</h3>  
                </div>  

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">OIT:</label>  
                <div class="col-sm-4">  
                {{ form.oit }}  
                </div>  
            </div>  

            <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Servicio:</label>  
                <div class="col-sm-4">  
                {{ form.servicio }}  
                </div> 

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Medio:</label>  
                <div class="col-sm-4">  
                {{ form.medio }}  
                </div>  

            </div>
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Red:</label>  
                <div class="col-sm-4">  
                {{ form.red }}  
                </div>  

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Proveedor:</label>  
                <div class="col-sm-4">  
                {{ form.proveedor }}  
                </div>  
            
            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Fecha Acordada:</label>  
                <div class="col-sm-4">  
                {{ form.fecha_acordada }}  
                </div> 
            
            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Plazo Contrato:</label>  
                <div class="col-sm-4">  
                {{ form.plazo_contrato }}  
                </div>

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Renta Mensual:</label>  
                <div class="col-sm-4">  
                {{ form.renta_mensual }}  
                </div> 

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Proceso:</label>  
                <div class="col-sm-4">  
                {{ form.proceso }}  
                </div> 
            
            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Mes Venta:</label>  
                <div class="col-sm-4">  
                {{ form.mes_venta }}  
                </div> 


            </div>  
                <div class="form-group row">  
                <label class="col-sm-1 col-form-label"></label>  
                <div class="col-sm-4">  
                <button type="submit" class="btn btn-primary">Submit</button>  
                </div>  
            </div>  
                </div>  
            </form>  

        </body>  

    {% endblock %}
    
</html>  

Practicando/Oit/templates/editar_oit.html
{% extends 'layouts/layout.html' %}

<!DOCTYPE html>  

<html lang="en">  

    {% block title %}

        {{oit.title}}

    {% endblock  %}

    {% block content %}

        <head>  
            <meta charset="UTF-8">  
            <title>Editar</title>  
            {% load static  %}  
            <link rel="stylesheet" href="{% static 'css/style.css' %}"/>  
        </head>  

        <body>  
            <form method="POST" class="post-form" action="/actualizar/{{oit.id}}">  
                    {% csrf_token %}  
                <div class="container"> 

            <br>  
                <div class="form-group row">  
                <label class="col-sm-1 col-form-label"></label>  
                <div class="col-sm-4">  
                <h3>Actualice los datos</h3>  
                </div>  

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">OIT:</label>  
                <div class="col-sm-4">  
                    <input type="text" name="oit" id="id_oit" required maxlength="20" value="{{ oit.oit }}"/>  
                </div>  

            </div>  
            <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Servicio:</label>  
                <div class="col-sm-4">  
                    <input type="text" name="servicio" id="id_servicio" required TextField() value="{{ oit.servicio }}" />  
                </div>  

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Medio:</label>  
                <div class="col-sm-4">  
                    <input type="text" name="medio" id="id_medio" required maxlength="150" value="{{ oit.medio }}" />  
                </div>  
            
            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Red:</label>  
                <div class="col-sm-4">  
                    <input type="text" name="red" id="id_red" required maxlength="150" value="{{ oit.red }}" />  
                </div> 

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Proveedor:</label>  
                <div class="col-sm-4">  
                    <input type="text" name="proveedor" id="id_proveedor" required maxlength="150" value="{{ oit.proveedor }}" />  
                </div>  

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Fecha Acordada:</label>  
                <div class="col-sm-4">  
                    <input type="date" name="fecha_acordada" id="id_fecha_acordada" required DateField() value="{{ oit.fecha_acordada }}" />  
                </div> 

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Plazo Contrato:</label>  
                <div class="col-sm-4">  
                    <input type="date" name="plazo_contrato" id="id_plazo_contrato" required DateField() value="{{ oit.plazo_contrato }}" />  
                </div>  

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Renta Mensual:</label>  
                <div class="col-sm-4">  
                    <input type="text" name="renta_mensual" id="id_renta_mensual" required maxlength="150" value="{{ oit.renta_mensual }}" />  
                </div>

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Proceso:</label>  
                <div class="col-sm-4">  
                    <input type="text" name="proceso" id="id_proceso" required maxlength="150" value="{{ oit.proceso }}" />  
                </div>  

            </div>  
                <div class="form-group row">  
                <label class="col-sm-2 col-form-label">Mes Venta:</label>  
                <div class="col-sm-4">  
                    <input type="date" name="mes_venta" id="id_mes_venta" required DateField() value="{{ oit.mes_venta }}" />  
                </div>

            </div>  
                <div class="form-group row">  
                <label class="col-sm-1 col-form-label"></label>  
                <div class="col-sm-4">  
                <button type="submit" class="btn btn-success">Actualizar</button>  
                </div>  

            </div>  

                </div>  
            </form>  

        </body>  
        
    {% endblock %}

</html>  

<div class="form-row field-fecha_acordada">
            
            
                <div>
                    
                    
                        <label class="required" for="id_fecha_acordada">Fecha Acordada:</label>
                        
                            <input type="text" name="fecha_acordada" value="24/09/2020" class="vDateField" size="10" required="" id="id_fecha_acordada"><span class="datetimeshortcuts">&nbsp;<a href="#">Hoy</a>&nbsp;|&nbsp;<a href="#" id="calendarlink0"><span class="date-icon" title="Elija una fecha"></span></a></span>
                        
                    
                    
                <br><span class="timezonewarning">Nota: Usted va 5 horas por detrás de la hora del servidor.</span></div>
            
        </div>

Practicando/Oit/templates/mostrar_oit.html
{% extends 'layouts/layout.html' %}

<!DOCTYPE html>  

<html lang="en">  

    {% block title %}

        {{oit.title}}

    {% endblock  %}

    {% block content %}

        <head>  
            <meta charset="UTF-8">  
            <title>Mostrar</title>  
            {% load static %}  
            <link rel="stylesheet" href="{% static 'css/style.css' %}"/>  
        </head>  

        <body>  
            <table border="1"  class="table table-striped table-bordered table-sm">  
                    <thead class="thead-dark">  

                    <tr>  
                        <th>OIT</th>  
                        <th>Servicio</th>  
                        <th>Medio</th>  
                        <th>Red</th>  
                        <th>Proveedor</th>  
                        <th>Fecha Acordada</th>  
                        <th>Plazo Contrat</th>  
                        <th>Renta Mensual</th>  
                        <th>Proceso</th>  
                        <th>Mes Venta</th> 
                        <th>Opciones</th> 
                    </tr>  

                    </thead>  

                    <tbody>  

                {% for oi in oit %}  
                    <tr>  

                        <td>{{ oi.oit }}</td>  
                        <td>{{ oi.servicio }}</td>  
                        <td>{{ oi.medio }}</td>  
                        <td>{{ oi.red }}</td>
                        <td>{{ oi.proveedor }}</td>  
                        <td>{{ oi.fecha_acordada }}</td>  
                        <td>{{ oi.plazo_contrato }}</td>  
                        <td>{{ oi.renta_mensual }}</td>  
                        <td>{{ oi.proceso }}</td>
                        <td>{{ oi.mes_venta }}</td>

                        <td>  

                            <a href="/editar/{{ oi.id }}"><span class="glyphicon glyphicon-pencil" >Editar</span></a>  

                        </td>  
                    </tr>  

                {% endfor %} 
            
                    </tbody>  
            </table>  
            <br>  
            <br>  
            <center><a href="/agregar" class="btn btn-primary">Agregar Registro</a></center>  
        </body>  

    {% endblock %}

</html>  